apiVersion: lifecycle.suse.com/v1alpha1
kind: ReleaseManifest
metadata:
  name: release-manifest-3-5-0
spec:
  releaseVersion: 3.5.0
  components:
    kubernetes:
      k3s:
        version: v1.34.2+k3s1
        coreComponents:
          - name: traefik-crd
            version: 37.1.1+up37.1.0
            type: HelmChart
          - name: traefik
            version: 37.1.1+up37.1.0
            type: HelmChart
          - name: local-path-provisioner
            containers:
              - name: local-path-provisioner
                image: rancher/local-path-provisioner:v0.0.32
            type: Deployment
          - name: coredns
            containers:
              - name: coredns
                image: rancher/mirrored-coredns-coredns:1.13.1
            type: Deployment
          - name: metrics-server
            containers:
              - name: metrics-server
                image: rancher/mirrored-metrics-server:v0.8.0
            type: Deployment
      rke2:
        version: v1.34.2+rke2r1
        coreComponents:
          - name: rke2-cilium
            version: 1.18.300
            type: HelmChart
          - name: rke2-canal
            version: v3.30.3-build2025101500
            type: HelmChart
          - name: rke2-calico-crd
            version: v3.30.401
            type: HelmChart
          - name: rke2-calico
            version: v3.30.401
            type: HelmChart
          - name: rke2-coredns
            version: 1.44.300
            type: HelmChart
          - name: rke2-ingress-nginx
            version: 4.13.400
            type: HelmChart
          - name: rke2-metrics-server
            version: 3.13.002
            type: HelmChart
          - name: rancher-vsphere-csi
            version: 3.5.0-rancher100
            type: HelmChart
          - name: rancher-vsphere-cpi
            version: 1.12.100
            type: HelmChart
          - name: harvester-cloud-provider
            version: 0.2.1100
            type: HelmChart
          - name: harvester-csi-driver
            version: 0.1.2500
            type: HelmChart
          - name: rke2-snapshot-controller-crd
            version: 4.0.003
            type: HelmChart
          - name: rke2-snapshot-controller
            version: 4.0.003
            type: HelmChart
    operatingSystem:
      version: '6.2'
      zypperID: SL-Micro
      cpeScheme: cpe:/o:suse:sles:16:16.0
      prettyName: SUSE Linux Enterprise Server 16.0
      supportedArchs:
        - x86_64
        - aarch64
    workloads:
      helm:
        - prettyName: Rancher
          releaseName: rancher
          chart: rancher
          version: 2.13.1
          repository: https://charts.rancher.com/server-charts/prime
          values:
            postDelete:
              enabled: false
        - prettyName: Longhorn
          releaseName: longhorn
          chart: suse-storage
          version: 1.10.1
          repository: oci://dp.apps.rancher.io/charts
        - prettyName: MetalLB
          releaseName: metallb
          chart: '%%CHART_REPO%%/%%CHART_PREFIX%%metallb'
          version: '%%CHART_MAJOR%%.0.1+up0.15.2'
        - prettyName: CDI
          releaseName: cdi
          chart: '%%CHART_REPO%%/%%CHART_PREFIX%%cdi'
          version: '%%CHART_MAJOR%%.0.1+up0.6.0'
        - prettyName: KubeVirt
          releaseName: kubevirt
          chart: '%%CHART_REPO%%/%%CHART_PREFIX%%kubevirt'
          version: '%%CHART_MAJOR%%.0.1+up0.6.0'
          addonCharts:
            - releaseName: kubevirt-dashboard-extension
              chart: '%%CHART_REPO%%/%%CHART_PREFIX%%kubevirt-dashboard-extension'
              version: '%%CHART_MAJOR%%.0.4+up1.3.3'
        - prettyName: NeuVector
          releaseName: neuvector
          chart: neuvector
          version: 108.0.1+up2.8.10
          repository: https://charts.rancher.io
          dependencyCharts:
            - releaseName: neuvector-crd
              chart: neuvector-crd
              version: 108.0.1+up2.8.10
              repository: https://charts.rancher.io
          addonCharts:
            - releaseName: neuvector-ui-ext
              chart: neuvector-ui-ext
              repository: https://github.com/rancher/ui-plugin-charts/raw/main
              version: 2.1.5
        - prettyName: EndpointCopierOperator
          releaseName: endpoint-copier-operator
          chart: '%%CHART_REPO%%/%%CHART_PREFIX%%endpoint-copier-operator'
          version: '%%CHART_MAJOR%%.0.1+up0.3.0'
        - prettyName: Elemental
          releaseName: elemental-operator
          chart: oci://registry.suse.com/rancher/elemental-operator-chart
          version: 1.8.0
          dependencyCharts:
            - releaseName: elemental-operator-crds
              chart: oci://registry.suse.com/rancher/elemental-operator-crds-chart
              version: 1.8.0
          addonCharts:
            - releaseName: elemental
              chart: elemental
              repository: https://github.com/rancher/ui-plugin-charts/raw/main
              version: 3.0.1
        - prettyName: SRIOV
          releaseName: sriov-network-operator
          chart: '%%CHART_REPO%%/%%CHART_PREFIX%%sriov-network-operator'
          version: '%%CHART_MAJOR%%.0.4+up1.6.0'
          dependencyCharts:
            - releaseName: sriov-crd
              chart: '%%CHART_REPO%%/%%CHART_PREFIX%%sriov-crd'
              version: '%%CHART_MAJOR%%.0.4+up1.6.0'
        - prettyName: Akri
          releaseName: akri
          chart: '%%CHART_REPO%%/%%CHART_PREFIX%%akri'
          version: '%%CHART_MAJOR%%.0.0+up0.12.20'
          addonCharts:
            - releaseName: akri-dashboard-extension
              chart: '%%CHART_REPO%%/%%CHART_PREFIX%%akri-dashboard-extension'
              version: '%%CHART_MAJOR%%.0.4+up1.3.2'
        - prettyName: Metal3
          releaseName: metal3
          chart: '%%CHART_REPO%%/%%CHART_PREFIX%%metal3'
          version: '%%CHART_MAJOR%%.0.21+up0.13.0'
        - prettyName: RancherTurtlesProviders
          releaseName: rancher-turtles-providers
          chart: '%%CHART_REPO%%/%%CHART_PREFIX%%rancher-turtles-providers'
          version: '%%CHART_MAJOR%%.0.4+up0.25.1'
        - prettyName: CertManager
          releaseName: cert-manager
          chart: cert-manager
          version: 1.19.2
          repository: https://charts.jetstack.io
